> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Rate Card

> Soft-deletes a rate card. The rate card will no longer appear in listings but existing shifts assigned to this rate card are not affected.

<Warning>
  This performs a soft delete — the rate card will no longer appear in listings but existing shifts assigned to this rate card are not affected.
</Warning>


## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json DELETE /rate-cards/{id}
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /rate-cards/{id}:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Rate Card ID
    delete:
      tags:
        - Rate Cards
      summary: Delete Rate Card
      description: >-
        Soft-deletes a rate card. The rate card will no longer appear in
        listings but existing shifts assigned to this rate card are not
        affected.
      operationId: delete-rate-card
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid skillset reference:
                  value:
                    code: RTC-400
                    error: Invalid skillset reference
                Invalid hourly type value:
                  value:
                    code: RTC-600
                    error: Invalid hourly type value
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid or missing API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Insufficient permissions to manage rate cards:
                  value:
                    code: RTC-800
                    error: Insufficient permissions to manage rate cards
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Rate card not found:
                  value:
                    code: RTC-700
                    error: Rate card not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                An unexpected error occurred:
                  value:
                    code: RTC-900
                    error: An unexpected error occurred
components:
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````